For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • Voices
    • Overview
    • List Voices
    • Get Voice
    • Delete Voice
  • Recordings
    • Overview
    • List Recordings
    • Get Recording
    • Create Recording
    • Update Recording
    • Delete Recording
  • Projects & Clips
      • Overview
      • List Projects
      • Get Project
      • Create Project
      • Update Project
      • Delete Project
  • Voice Settings
    • Overview
    • List Presets
    • Get Preset
    • Create Preset
    • Update Preset
    • Delete Preset
  • Custom Pronunciations
    • Overview
    • Create Pronunciation
    • Bulk Create from ZIP
    • List Pronunciations
    • Get Pronunciation
    • Toggle Active Status
    • Delete Pronunciation
  • Account & Billing
    • Overview
    • Get Account
    • Teams
    • Billing Usage
Status
LogoLogo
On this page
  • Query Parameters
  • Example Request
  • Response
Projects & ClipsProjects

List Projects

Was this page helpful?
Previous

Get Project

Next
Built with

GET https://app.resemble.ai/api/v2/projects

Query Parameters

ParameterTypeRequiredNotes
pageinteger❌Page number for pagination.
page_sizeinteger❌Number of items per page.

Example Request

$curl 'https://app.resemble.ai/api/v2/projects?page=1&page_size=10' \
> -H 'Authorization: Bearer YOUR_API_TOKEN'

Response

1{
2 "success": true,
3 "page": 1,
4 "total_results": 40,
5 "page_count": 4,
6 "items": [
7 {
8 "uuid": "PROJECT_UUID",
9 "name": "Game NPC Library",
10 "description": "Clips for characters",
11 "is_collaborative": true,
12 "is_archived": false,
13 "created_at": "2024-01-15T10:30:00Z",
14 "updated_at": "2024-01-15T10:32:00Z"
15 }
16 ]
17}